<?php

class Empresa {

    private $db;
    public function __construct()
    {
        $this->db = new Database;
    }

    public function Emp_Buscar($id){
    //$this->db->startTransaction();
    $idx= encrypt_decrypt('decrypt', $id);

    $this->db->query('SELECT * FROM empresas WHERE id = :id');
    $this->db->bind(':id', $idx);

    $row = $this->db->single();
    if($this->db->rowCount()==0){
    return false;
    }else{
    return $row;
    }
    }

    public function Emp_Aprendices($emp){
//        $this->db->query('SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, alumnos.sexo, alumnos.fecha_n, programas.descripcion, alumnos.empresa, alumnos.tag1
//FROM alumnos INNER JOIN (cursos INNER JOIN programas ON cursos.programa = programas.codigo) ON alumnos.curso = cursos.codigo
//WHERE alumnos.empresa=:emp ORDER BY alumnos.apellidos, alumnos.nombres');

//$this->db->query('SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, alumnos.sexo, alumnos.fecha_n, programas.descripcion, alumnos.empresa, alumnos.tag1,alumnos.f_tag,aprendiz_doc.documento
//FROM (alumnos INNER JOIN (cursos INNER JOIN programas ON cursos.programa = programas.codigo) ON alumnos.curso = cursos.codigo) INNER JOIN aprendiz_doc ON alumnos.cedula = aprendiz_doc.cedula
//WHERE alumnos.empresa=:emp AND aprendiz_doc.descripcion="Foto Aprendiz" ORDER BY alumnos.apellidos, alumnos.nombres');
$this->db->query('SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, alumnos.sexo, alumnos.fecha_n, programas.descripcion, alumnos.empresa, alumnos.tag1,alumnos.f_tag,cursos.codigo
FROM (alumnos INNER JOIN (cursos INNER JOIN programas ON cursos.programa = programas.codigo) ON alumnos.curso = cursos.codigo)
WHERE alumnos.empresa=:emp ORDER BY alumnos.apellidos, alumnos.nombres');



        $this->db->bind(':emp', $emp);
        $result = $this->db->resultSet();
        return $result;
    }



    public function Aprendiz_Buscar($id){
    //$this->db->startTransaction();
    $idx= encrypt_decrypt('decrypt', $id);
    $this->db->query('SELECT * FROM alumnos WHERE cedula = :id');
    $this->db->bind(':id', $idx);

    $row = $this->db->single();
    if($this->db->rowCount()==0){
    return false;
    }else{
    return $row;
    }
    }

    public function Aprendiz_Notas($id){
    //$this->db->startTransaction();
    $idx= encrypt_decrypt('decrypt', $id);
    $this->db->query('SELECT tecnicas.descripcion, record.nt3, record.tag, record.cedula
    FROM record INNER JOIN tecnicas ON record.tecnica = tecnicas.id
    WHERE record.cedula=:id  ORDER BY tecnicas.descripcion');
    $this->db->bind(':id', $idx);
        $result = $this->db->resultSet();
        return $result;
    }

    public function Aprendiz_Mov($id){
    //$this->db->startTransaction();
    $idx= encrypt_decrypt('decrypt', $id);
    $this->db->query('select * from aprendiz_mov where cedula=:id and tipo<>"MOV." order by fecha desc');
    $this->db->bind(':id', $idx);
        $result = $this->db->resultSet();
        return $result;
    }

    public function Aprendiz_Doc($id){
    //$this->db->startTransaction();
    $idx= encrypt_decrypt('decrypt', $id);
    $this->db->query('select * from aprendiz_doc where cedula=:id order by descripcion');
    $this->db->bind(':id', $idx);
        $result = $this->db->resultSet();
        return $result;
    }

    public function Aprendices_Buscar($id){
    //$this->db->startTransaction();
    //$idx= encrypt_decrypt('decrypt', $id);
    $this->db->query('select * from alumnos where empresa=:id order by apellidos,nombres');
    $this->db->bind(':id', $id);
        $result = $this->db->resultSet();
        return $result;
    }

    public function Mov_Buscar($data){
    $desde=$_POST['fdesde'];
    $hasta=$_POST['fhasta'];
    $orden=$_POST['orden'];
    //$this->db->startTransaction();
    //$idx= encrypt_decrypt('decrypt', $id);
//    $this->db->query('select * from aprendiz_mov where fecha>=:desde and fecha<=:hasta order by :orden');
if($orden=="fecha"){
$this->db->query('SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, aprendiz_mov.id, aprendiz_mov.tipo, aprendiz_mov.fecha, aprendiz_mov.motivo
FROM aprendiz_mov INNER JOIN alumnos ON aprendiz_mov.cedula = alumnos.cedula
WHERE aprendiz_mov.fecha>=:desde And aprendiz_mov.fecha<=:hasta ORDER BY aprendiz_mov.fecha,alumnos.apellidos, alumnos.nombres');
}else{
$this->db->query('SELECT alumnos.cedula, alumnos.apellidos, alumnos.nombres, aprendiz_mov.id,aprendiz_mov.tipo, aprendiz_mov.fecha, aprendiz_mov.motivo
FROM aprendiz_mov INNER JOIN alumnos ON aprendiz_mov.cedula = alumnos.cedula
WHERE aprendiz_mov.fecha>=:desde And aprendiz_mov.fecha<=:hasta ORDER BY alumnos.apellidos, alumnos.nombres,aprendiz_mov.fecha');
}


    $this->db->bind(':desde', $desde);
    $this->db->bind(':hasta', $hasta);

        $result = $this->db->resultSet();
        return $result;
    }


public function Asistencia_Buscar($aprendices,$data){
$this->db->query('SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, alumnos.tag1,alumnos.f_tag, alumnos.empresa, asistencia_coord.*
FROM alumnos INNER JOIN asistencia_coord ON alumnos.cedula = asistencia_coord.cedula
WHERE alumnos.cedula=:codigo AND asistencia_coord.mes=:mes AND asistencia_coord.ano=:ahno ORDER BY alumnos.apellidos, alumnos.nombres');
    foreach ($aprendices as $aprendicesx){
    //echo $aprendicesx->cedula.'<br>';
    $this->db->bind(':codigo', $aprendicesx->cedula);
    $this->db->bind(':ahno', $data['ahno']);
    $this->db->bind(':mes', $data['mes']);
    $row = $this->db->single();
    if($this->db->rowCount()==0){
    //return false;
    }else{
    //var_dump($row);
    $arr = (array)$row;
//echo "Items after conversion : <br><br><br>";
///var_dump($arr);
        $datos[] = [
        'vector' => $arr,
        ];
//echo "Items after conversion22 : <br><br><br>";
//var_dump($datos);
//echo "Items after conversion33322 : <br><br><br>";
//echo var_dump($datos[0]['vector']);

    }
    }

/*echo count($datos);
foreach ($datos[0]['vector'] as $clave => $valor) {
    echo '<p>', htmlspecialchars($clave . ' => ' . $valor), '</p>', PHP_EOL;
}
EXIT;*/

//    $result = $this->db->resultSet();
    return $datos;
    }

    public function asistencia_buscar_emp_dia($anho,$mes,$dias,$emp){
    $this->db->query('SELECT cedula,'."d".$dias.' as dia FROM asistencia_empresas
    WHERE ano=:anho and mes=:mes and cod_empresa=:emp ORDER BY cedula');
    $this->db->bind(':anho', $anho);
    $this->db->bind(':mes', $mes);
    $this->db->bind(':emp', $emp);
    $result = $this->db->resultSet();
    return $result;
    }

public function asistencia_buscar_instituto($aprendices,$data){
$this->db->query('SELECT alumnos.cedula,alumnos.apellidos, alumnos.nombres, alumnos.tag1,alumnos.f_tag, alumnos.empresa, asistencia_coord.*
FROM alumnos INNER JOIN asistencia_coord ON alumnos.cedula = asistencia_coord.cedula
WHERE alumnos.cedula=:codigo AND asistencia_coord.mes=:mes AND asistencia_coord.ano=:ahno ORDER BY alumnos.apellidos, alumnos.nombres');
    foreach ($aprendices as $aprendicesx){
    //echo $aprendicesx->cedula.'<br>';
    $this->db->bind(':codigo', $aprendicesx->cedula);
    $this->db->bind(':ahno', $data['ahno']);
    $this->db->bind(':mes', $data['mes']);
    $row = $this->db->single();
    if($this->db->rowCount()==0){
    //return false;
    }else{
    $arr = (array)$row;
        $datos[] = [
        'vector' => $arr,
        ];
    //$datos[] =  $arr;
    }
    }
   // var_dump($datos);
   // exit;
    return $datos;
}

    public function asistencia_buscar_emp($anho,$mes,$emp){
    $this->db->query('SELECT * FROM asistencia_empresas
    WHERE ano=:anho and mes=:mes and cod_empresa=:emp ORDER BY cedula');
    $this->db->bind(':anho', $anho);
    $this->db->bind(':mes', $mes);
    $this->db->bind(':emp', $emp);
    $result = $this->db->resultSet();
    return $result;
    }

    public function asistencia_grabar($cedula,$anho,$mes,$emp,$dia,$valor){
    $this->db->query('INSERT INTO asistencia_empresas(cedula,cod_empresa,mes,ano,'."d".$dia.') values (:cedula,:emp,:mes,:anho,:valor)');
    $this->db->bind(':cedula', $cedula);
    //$this->db->bind(':dia', $dia);
    $this->db->bind(':valor', strtoupper($valor));
    $this->db->bind(':anho', $anho);
    $this->db->bind(':mes', $mes);
    $this->db->bind(':emp', $emp);
    $this->db->execute();
    return ;
    }

    public function asistencia_actualizar($id,$dia,$valor){
    $this->db->query('UPDATE asistencia_empresas SET '."d".$dia.'=:valor Where id=:id');
    $this->db->bind(':id', $id);
    //$this->db->bind(':dia', $dia);
    $this->db->bind(':valor', strtoupper($valor));
    //$this->db->bind(':anho', $anho);
    //$this->db->bind(':mes', $mes);
    //$this->db->bind(':emp', $emp);
    $this->db->execute();
    return ;
    }


}